{% load static %}
{% load pool_extrass %}
{% load i18n %}{% trans ' ' %}

<div class="accordion service-accordion" id="{{ test }}">
    <div class="card">
        <div class="card-header" id="heading{{ test }}">
            <div class="service-accordion-header collapsed"
                 data-toggle="collapse"
                 data-target="#collapse{{ test }}"
                 aria-expanded="true"
                 aria-controls="collapse{{ test }}"
                 style="background-image: url('{% static "src/images/history/traf.svg" %}')"
            >
                <div class="header_main">
                    <h4 class="title">
                        {% trans 'Детализация трафика' %}
                    </h4>
                    <div class="header_data">
                        <p class="text">
                            {% trans 'Подробная информация по расходу трафика за выбранный период' %}
                        </p>
                    </div>
                </div>
            </div>
        </div>

        <div id="collapse{{ test }}" class="collapse" aria-labelledby="heading{{ test }}" data-parent="#{{ test }}">
            <div class="card-body">
                <div class="service-accordion-body">
                    <div class="service-data-section">
                        <div class="select_wrap mb-4 d-flex justify-content-end">
                            <div class="wrap ml-4">
                                <select name="" id="traf_ip" class="acc-select-2" onchange="traf_history('{{ url }}', '{{ token }}', '{{ mon }}')">
                                    {% for ip in trafs.iplist %}
                                        <option value="{{ ip }}">{{ ip }}</option>
                                    {% endfor %}
                            </select>
                            </div>
                            <div class="wrap ml-4">
                                <select name="" id="traf_year" class="acc-select-2" onchange="traf_history('{{ url }}', '{{ token }}', '{{ mon }}')">
                                    {% for year in cb_years %}
                                        <option value="{{ year }}">{{ year }}</option>
                                    {% endfor %}
                                </select>
                            </div>
                        </div>
                        <div class="acc_table_wrap">
                            <div class="table-responsive">
                                <table class="table table-hover acc-table">
                                    <thead>
                                        <tr>
                                            <th scope="col">{% trans 'Месяц' %}</th>
                                            <th scope="col">{% trans 'Входящий' %}</th>
                                            <th scope="col">{% trans 'Исходящий' %}</th>
                                        </tr>
                                    </thead>
                                    <tbody id="traf_tbody">
                                        {% for traf in trafs.traflist %}
                                            <tr>
                                                <td>{{ traf.month }}</td>
                                                <td>{{ traf.in }}</td>
                                                <td>{{ traf.out }}</td>
                                            </tr>
                                        {% endfor %}
                                    </tbody>
                                    <tfoot id="traf_tfoot">
                                        <tr>
                                            <td><b>{% trans 'Итого' %}</b></td>
                                            <td id="traf_in"><b>{{ trafs_in }}</b></td>
                                            <td id="traf_out"><b>{{ trafs_out }}</b></td>
                                        </tr>
                                    </tfoot>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>